// import request from "@/utils/request";

// //大屏暂降事件
// export function getAreaDownStatisticsData(data) {
//     return request({
//         url: "/event-boot/largeScreen/getAreaDownStatistics",
//         method: "post",
//         data,
//     });
// }
import request from "@/utils/request";

//大屏暂降事件(区域)
export function getAreaDownStatisticsData(data) {
  return request({
    url: "/event-boot/largeScreen/getAreaDownStatistics",
    method: "post",
    data: data,
  });
}
//大屏暂降事件(负荷类型)
export function getLoadType(data) {
  return request({
    url: "/event-boot/largeScreen/getLoadType",
    method: "post",
    data: data,
  });
}
//大屏暂降事件(暂降事件时间统计)
export function getTimeCount(data) {
  return request({
    url: "/event-boot/largeScreen/getTimeCount",
    method: "post",
    data: data,
  });
}
//大屏获取暂降事件最新50条数据
export function eventLists(data) {
  return request({
    url: "/event-boot/largeScreen/eventLists",
    method: "post",
    data: data,
  });
}
//大屏监测点规模(区域)
export function getMonitoringPointScale(data) {
  return request({
    url: "/device-boot/largeScreen/getMonitoringPointScale",
    method: "post",
    data: data,
  });
}
//大屏监测点规模(负荷类型)
export function getLoadTypeData(data) {
  return request({
    url: "/device-boot/largeScreen/getLoadType",
    method: "post",
    data: data,
  });
}
//大屏中间暂态
export function getMiddleDown(data) {
  return request({
    url: "/event-boot/largeScreen/getMiddleDown",
    method: "post",
    data: data,
  });
}
//大屏中间稳态越线信息
export function getMiddleLimitRate(data) {
  return request({
    url: "/event-boot/largeScreen/getMiddleLimitRate",
    method: "post",
    data: data,
  });
}
//大屏中间终端异常信息
export function getMiddleTerminal(data) {
  return request({
    url: "/event-boot/largeScreen/getMiddleTerminal",
    method: "post",
    data: data,
  });
}
//大屏中间所有数据
export function getAllData(data) {
  return request({
    url: "/event-boot/largeScreen/getAllData",
    method: "post",
    data: data,
  });
}
//稳态指标超标占比(负荷类型)
export function getHomeostasisLoad(data) {
  return request({
    url: "/harmonic-boot/largeScreen/getHomeostasisLoad",
    method: "post",
    data: data,
  });
}
//稳态指标超标占比(负荷类型)
export function getHomeostasisArea(data) {
  return request({
    url: "/harmonic-boot/largeScreen/getHomeostasisArea",
    method: "post",
    data: data,
  });
}
//灿能云用户规模
export function getUserScale(data) {
  return request({
    url: "/user-boot/largeScreen/getUserScale",
    method: "post",
    data: data,
  });
}
//数据规模
export function getDataScale(data) {
  return request({
    url: "/system-boot/largeScreen/getDataScale",
    method: "post",
    data: data,
  });
}
//功率负荷排名
export function getPowerOrder(data) {
  return request({
    url: "/harmonic-boot/largeScreen/getPowerOrder",
    method: "post",
    data: data,
  });
}
//视屏 图片 查询数据
export function queryData(params) {
  return request({
    url: "/device-boot/resource/queryData",
    method: "post",
    params,
  });
}
//播放视频资源
export function play(params) {
  return request({
    url: "/device-boot/resource/play1",
    method: "get",
    params,
    responseType: 'blob'
  });
}
//上传资源
export function uploadFile(data) {
  return request({
    url: "/device-boot/resource/uploadFile",
    method: "post",
    data,
  });
}
//修改资源
export function updateFile(data) {
  return request({
    url: "/device-boot/resource/updateFile",
    method: "post",
    data,
  });
}
//删除资源
export function deleteFile(params) {
  return request({
    url: "/device-boot/resource/deleteFile",
    method: "get",
    params,
  });
}
//运行时间
export function getRunTime(data) {
  return request({
    url: "/device-boot/largeScreen/getRunTime",
    method: "post",
    data,
  });
}
